# pkgSet Struct Reference

`#include <upgrade.h>`

## Data Fields

packageInfo ** | packages
int | numPackages

## Detailed Description

Definition at line 15 of file upgrade.h.

## Field Documentation

struct packageInfo** pkgSet::packages `[read]`

Definition at line 16 of file upgrade.h.

Referenced by addLostFiles(), findPackagesWithObsoletes(), findPackagesWithRelocatedFiles(), findUpgradePackages(), findUpgradeSet(), pkgSort(), removeMovedFilesAlreadyHandled(), and unmarkPackagesAlreadyInstalled().

int pkgSet::numPackages

Definition at line 17 of file upgrade.h.

Referenced by addLostFiles(), findPackagesWithObsoletes(), findPackagesWithRelocatedFiles(), findUpgradePackages(), findUpgradeSet(), pkgSort(), removeMovedFilesAlreadyHandled(), and unmarkPackagesAlreadyInstalled().

The documentation for this struct was generated from the following file:

- python/upgrade.h